package com.izouma.awesomeadmin.dao;

import java.util.*;

import com.izouma.awesomeadmin.datasource.DataSource;
import org.springframework.stereotype.Repository;
import com.izouma.awesomeadmin.model.CustomerService;


/**
 * Dao接口
 */
@Repository("com.zoumaframe.dao.CustomerServiceMapper")
public interface CustomerServiceMapper {

    int deleteByPrimaryKey(Integer id);

    int insertSelective(CustomerService record);

    CustomerService selectByPrimaryKey(Integer id);

    int updateByPrimaryKeySelective(CustomerService record);

    List<CustomerService> queryAllCustomerService(CustomerService record);

    List<CustomerService> queryCustomerServiceByPage(Map<String, Object> parameter);

    int delete(CustomerService record);

    CustomerService queryCustomerService(CustomerService record);

    List<CustomerService> query(CustomerService record);

    List<CustomerService> getRecentlyLoginList(CustomerService record);
}

